Subject: libwinsock.a? Using mu own socket routines ...?
From: [email-masked] (Michael Anderson)

5 Jun 1997 12:33:53 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01 (X11; I; Linux 2.0.12 i586)
Original-To: [email-masked]
Original-Sender: [email-masked]

I have done my own socket mappings and wish to use them instead of the
provided cygwin32_socket() family of routines in sys/socket.h and
netdb.h. When I comment-out the mapping defines in these two files, the
compiler complains that socket(), accept(), etc are unresolved
references. My code has correct prototypes. If I add -lwsock32 to the
compile line, only WSAStartup() and WSACleanup are resolved.

The FAQ mentions a libwinsock.a library but I don't have it in either
the binary or source distribution.

Where are the real socket functions and how can I link against them?

Thanks,
-- 

Mike Anderson
[email-masked]
Guanajuato, GTO, Mexico
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".